#
# This task handles the updating of favourites list
#

package GShowTV::Data::FavouriteTask;
use strict;
use warnings;

use Glib qw/TRUE FALSE/;
use base 'GShowTV::Data::ProgramListingTask';

sub new {
	my $class = shift;
	my $self  = $class->SUPER::new(@_);
		
	bless ($self, $class);
	$self;
}

sub test {
	my $self = shift;
	my $p    = shift;

	foreach my $f (@{$self->{favourites}}) {
		next unless ($f->{inlist});

		if ($f->isFavourite($p)) {
			return TRUE;
		}
	}
	FALSE;
}

1;
